Bug 1659839 - Deployment fails at keystone_init_tasks with ascii codec error
Summary: Deployment fails at keystone_init_tasks with ascii codec error
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-keystone
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: async
: 12.0 (Pike)
Assignee: Emilien Macchi
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 00:03 UTC by PURANDHAR SAIRAM MANNIDI
Modified: 2019-02-07 05:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 16:26:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 626033 None None None 2018-12-18 22:53:37 UTC

Description PURANDHAR SAIRAM MANNIDI 2018-12-17 00:03:01 UTC
Description of problem:
Deployment fails at keystone_init_tasks  with ascii codec error

"Error: Failed to apply catalog: Execution of '/usr/bin/openstack project list --quiet --format csv --long' returned 1: 'ascii' codec can't encode character u'\\u1ea3' in position 2: ordinal not in range"

openstack project list --quiet --format csv --long is working fine after upgrading to latest python-cliff package but still deployment fails, suspecting puppet-keystone.

Version-Release number of selected component (if applicable):
Red Hat OpenStack Platform 12

How reproducible:
Always

Steps to Reproduce:
1. Have UTF-8 language characters in the description of openstack project
2. deployment fails with the above error


Actual results:
Deployment fails

Expected results:
Deployment should succeed and proceed

Additional info:

Comment 2 Steve Baker 2018-12-17 03:01:49 UTC
When running a container manually with the image 172.16.4.6:8787/rhosp12/openstack-keystone:12.0-20181206.1 I can replicate this issue if LC_ALL or LANG are set to something which doesn't include UTF-8, so these commands fail:
LANG=C openstack project list --format csv --long
LC_ALL=C openstack project list --format csv --long
LANG=en_US openstack project list --format csv --long

but this command works:
LANG=en_US.UTF-8 openstack project list --format csv --long

I think docker-puppet.py is being invoked without a UTF-8 LANG value set, I'll see if this has been fixed in later releases


Note You need to log in before you can comment on or make changes to this bug.